com.google.gwt.i18n.client

## Class DefaultDateTimeFormatInfo

- java.lang.Object
- - com.google.gwt.i18n.shared.DefaultDateTimeFormatInfo
  - - com.google.gwt.i18n.client.DefaultDateTimeFormatInfo

- All Implemented Interfaces:
    DateTimeFormatInfo
  Direct Known Subclasses:
    DateTimeFormatInfoAdapter

      public class DefaultDateTimeFormatInfo
      extends DefaultDateTimeFormatInfo
      implements DateTimeFormatInfo

  For backwards compatibility only. deprecated use `DefaultDateTimeFormatInfo` instead

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDateTimeFormatInfo()`

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.i18n.shared.DefaultDateTimeFormatInfo

      `ampms, dateFormat, dateFormatFull, dateFormatLong, dateFormatMedium, dateFormatShort, dateTime, dateTimeFull, dateTimeLong, dateTimeMedium, dateTimeShort, erasFull, erasShort, firstDayOfTheWeek, formatDay, formatHour12Minute, formatHour12MinuteSecond, formatHour24Minute, formatHour24MinuteSecond, formatMinuteSecond, formatMonthAbbrev, formatMonthAbbrevDay, formatMonthFull, formatMonthFullDay, formatMonthFullWeekdayDay, formatMonthNumDay, formatYear, formatYearMonthAbbrev, formatYearMonthAbbrevDay, formatYearMonthFull, formatYearMonthFullDay, formatYearMonthNum, formatYearMonthNumDay, formatYearMonthWeekdayDay, formatYearQuarterFull, formatYearQuarterShort, monthsFull, monthsFullStandalone, monthsNarrow, monthsNarrowStandalone, monthsShort, monthsShortStandalone, quartersFull, quartersShort, timeFormat, timeFormatFull, timeFormatLong, timeFormatMedium, timeFormatShort, weekdaysFull, weekdaysFullStandalone, weekdaysNarrow, weekdaysNarrowStandalone, weekdaysShort, weekdaysShortStandalone, weekendEnd, weekendStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.i18n.shared.DateTimeFormatInfo

      `ampms, dateFormat, dateFormatFull, dateFormatLong, dateFormatMedium, dateFormatShort, dateTime, dateTimeFull, dateTimeLong, dateTimeMedium, dateTimeShort, erasFull, erasShort, firstDayOfTheWeek, formatDay, formatHour12Minute, formatHour12MinuteSecond, formatHour24Minute, formatHour24MinuteSecond, formatMinuteSecond, formatMonthAbbrev, formatMonthAbbrevDay, formatMonthFull, formatMonthFullDay, formatMonthFullWeekdayDay, formatMonthNumDay, formatYear, formatYearMonthAbbrev, formatYearMonthAbbrevDay, formatYearMonthFull, formatYearMonthFullDay, formatYearMonthNum, formatYearMonthNumDay, formatYearMonthWeekdayDay, formatYearQuarterFull, formatYearQuarterShort, monthsFull, monthsFullStandalone, monthsNarrow, monthsNarrowStandalone, monthsShort, monthsShortStandalone, quartersFull, quartersShort, timeFormat, timeFormatFull, timeFormatLong, timeFormatMedium, timeFormatShort, weekdaysFull, weekdaysFullStandalone, weekdaysNarrow, weekdaysNarrowStandalone, weekdaysShort, weekdaysShortStandalone, weekendEnd, weekendStart`

- - ### Constructor Detail

    - #### DefaultDateTimeFormatInfo

          public DefaultDateTimeFormatInfo()